diff mbox series

[ima-evm-utils,v2,2/4] CI/CD: Disable pkcs11 providers for Debian and AltLinux

Message ID 20240624220157.2248556-3-stefanb@linux.vnet.ibm.com (mailing list archive)
State New
Headers show
Series Enable and disable OpenSSL provider tests | expand

Commit Message

Stefan Berger June 24, 2024, 10:01 p.m. UTC
From: Stefan Berger <stefanb@linux.ibm.com>

Disable testing provider support on Debian:latest and AltLinux:sisyphus
since both now get stuck while running OpenSSL provider-related tests.
This is most likely due to an update in a dependency (OpenSSL,
p11-kit-modules, softhsm, or others).

On AltLinux the issues is related to a pthread_mutex_lock() down the
C_Login -> C_OpenSession callpath that blocks forever.

Signed-off-by: Stefan Berger <stefanb@linux.ibm.com>
---
 ci/alt.sh    | 2 +-
 ci/debian.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
diff mbox series

Patch

diff --git a/ci/alt.sh b/ci/alt.sh
index f86dcec..f1eefbf 100755
--- a/ci/alt.sh
+++ b/ci/alt.sh
@@ -28,4 +28,4 @@  apt-get install -y \
 		xxd \
 	&& control openssl-gost enabled
 
-apt-get install -y pkcs11-provider || true
+# apt-get install -y pkcs11-provider || true
diff --git a/ci/debian.sh b/ci/debian.sh
index e1bae43..34125d4 100755
--- a/ci/debian.sh
+++ b/ci/debian.sh
@@ -59,4 +59,4 @@  $apt \
 $apt xxd || $apt vim-common
 $apt libengine-gost-openssl || true
 $apt softhsm2 gnutls-bin libengine-pkcs11-openssl || true
-$apt softhsm2 gnutls-bin pkcs11-provider || true
+# $apt softhsm2 gnutls-bin pkcs11-provider || true